It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like:Chrome,Firefox,Internet Explorer orOpera

×
arrow-down2arrowcart2close4fat-arrow-leftfat-arrow-rightfeedbackfriends2happy-facelogo-gognotificationnotifications-emptyownedremove-menusad-facesearch2wishlist-menuwishlisted2own_thingsheartstartick
avatar
Tigersong: Thanks. I just removed the game files today (bit of a long story) but I might consider reinstalling or buying KotOR from this site. Thus far it seems there's a reasonable, friendly community here. :)
Well, we’re not always reasonable, but at least we try to stay friendly ;)
I'll take that, certainly. Would you be so kind as to offer some advice on character builds?
avatar
Tigersong: Would you be so kind as to offer some advice on character builds?
You’d be better to open a thread about it, I don’t know this game well enough to offer useful advice :)
Hey, I’ve never actually played it through the end!

My only advice if you’re new to the genre would be not to bother with efficient builds, just playing how you *feel* you’ll have the more fun. And if it turns out the build you chose is not optimal, just turn down the difficulty and keep playing your way.
You’ll have plenty of time to think about optimization in your subsequent replays. (like all Star Wars RPG, I think you should play it at least twice to try the Light & Dark Sides experiences)
avatar
vv221: Here you’ll find scripts allowing you to turn your .exe installers of Star Wars: Knights of the Old Republic (KotOR1) and Star Wars: Knights of the Old Republic 2 - The Sith Lords (KotOR2) into .deb packages, allowing to install them through DPKG and remove them through APT.
Thank you again for the install scripts. I was able to install Torchlight1, NWN Diamond & SW KotOR1 without any problems.

SW KotOR2 tSL errors out when I attempt to use the install script. I haven't been able to figure out how to fix the error. Here's the command line output below.

root@ValamirCleaver-Bonobo-WS:/media/add_store/Games/GOG Downloads/Star Wars Knights of the Old Republic II# sh ./play-star-wars-knights-of-the-old-republic-2.sh
Checksum method set to: md5sum
Compression method set to: none
Installation prefix set to: /usr/local

Looking for target files…
Using /media/add_store/Games/GOG Downloads/Star Wars Knights of the Old Republic II/setup_sw_kotor2_2.0.0.3-1.bin
basename: extra operand ‘Wars’
Try 'basename --help' for more information.

./play-star-wars-knights-of-the-old-republic-2.sh: 218: ./play-star-wars-knights-of-the-old-republic-2.sh: arithmetic expression: expecting primary: "*2"
root@ValamirCleaver-Bonobo-WS:/media/add_store/Games/GOG Downloads/Star Wars Knights of the Old Republic II# sh ./play-star-wars-knights-of-the-old-republic-2.sh
Checksum method set to: md5sum
Compression method set to: none
Installation prefix set to: /usr/local

Looking for target files…
Using /media/add_store/Games/GOG Downloads/Star Wars Knights of the Old Republic II/setup_sw_kotor2_2.0.0.3-1.bin
basename: extra operand ‘Wars’
Try 'basename --help' for more information.

./play-star-wars-knights-of-the-old-republic-2.sh: 218: ./play-star-wars-knights-of-the-old-republic-2.sh: arithmetic expression: expecting primary: "*2"
avatar
ValamirCleaver: Looking for target files…
Using /media/add_store/Games/GOG Downloads/Star Wars Knights of the Old Republic II/setup_sw_kotor2_2.0.0.3-1.bin
basename: extra operand ‘Wars’
Try 'basename --help' for more information.
The case statement is choking on all the spaces in your directory name. Install it from a path without spaces or edit the script:
$ sed -i 's/case "$(basename ${GAME_ARCHIVE})" in/case `basename "${GAME_ARCHIVE}"` in/g' play-star-wars-knights-of-the-old-republic-2.sh
All on one line. Edits line 204 using backticks instead of parens and double quotes around ${GAME_ARCHIVE} variable.
Post edited December 02, 2016 by Gydion
avatar
vv221: The packages built by the scripts come with scripts allowing an easy installation of the following mods:

_KotOR 1 Restoration 1.0 for KotOR1
http://deadlystream.com/forum/files/file/558-kotor-1-restoration/

kotor_k1r_1.0 "/some/path/to/K1R.7z"
avatar
vv221:  
_TSLRCM 1.8.3B for KotOR2
http://deadlystream.com/forum/files/file/398-tslrcm-183b/

kotor2_tslrcm_1.8.3b "/some/path/to/TSLRCM 183b.exe"
avatar
vv221:  
_M47-8EP 1.1B for KotOR2
http://deadlystream.com/forum/files/file/399-m4-78ep-11b/

kotor2_m478ep_1.1b "/some/path/to/M478EP 11b.exe"
avatar
vv221:
I was able to install kotor2 using the scripts with no issue ; what I can't figure out is how to install tslrcm and m478ep correctly . I don't understand how people are this post at all; it's just naming the mods and their locations.

I tried installing both mods with wine control panel, but when I start kotor 2 , it's unmodded. When I ran tslrcm again I tidied to find where the script installed kotor 2 , but it's not anywhere in "wine space"

How do I install both mods?
avatar
bignickel1: (…)
The instructions in the post you read are for a previous version of the script. A later version dropped the support for facilitated mod installation.

I haven’t tried to install mods on a ./play.it installation of KotOR recently, so sadly I won’t be able to help you right now.